# Update MemberPriorAccum

Updates a specific MemberPriorAccum.

Endpoint: PUT /subscribers/{subscriberID}/members/{memberSeq}/prior-accumulators/{groupID}/{divisionID}/{planYear}/{planType}/{benefitCode}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `subscriberID` (string, required)
    Subscriber ID

  - `memberSeq` (string, required)
    Member Seq

  - `groupID` (string, required)
    Group ID

  - `divisionID` (string, required)
    Division ID

  - `planYear` (string, required)
    Plan Year

  - `planType` (string, required)
    Plan Type

  - `benefitCode` (string, required)
    Benefit Code

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `subscriber_ID` (string, required)
    References Members.Subscriber_ID value on the parent record.

  - `member_Seq` (string, required)
    References Members.Member_Seq value on the parent record.

  - `group_ID` (string, required)
    Identifier assigned to the Group associated with this Member.

  - `division_ID` (string, required)
    Division associated with this Prior Accumulator.

  - `plan_Year` (string, required)
    Plan Year tied to this Prior Accumulator.

  - `plan_Type` (string, required)
    Plan Type tied to this Prior Accumulator.

  - `benefit_Code` (string, required)
    Benefit Code associated with this Member Prior Accumulator.

  - `added_Accum` (string)
    Selecting this option indicates that this Accumulator is an Added Accumulator.

  - `allowed_Amt` (number, required)
    Total Allowed amount.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `allowed_Amt_Net` (number, required)
    Allowed amount that has been used In Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `allowed_Amt_OON` (number, required)
    Allowed amount that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `auto_Generated` (boolean, required)
    Identifies that the prior accumulator was automatically generated.  Note: The database will apply a default value of `False` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `False` to meet the API requirements and ensure that the functionality occurs as expected.

  - `benefit_Used` (number, required)
    Total amount of benefit that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `benefit_Used_Net` (number, required)
    In network amount of benefit that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `benefit_Used_OON` (number, required)
    Amount of benefit that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `billed_Amt` (number, required)
    Amount that has been billed.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `billed_Amt_Net` (number, required)
    Amount that has been billed In Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `billed_Amt_OON` (number, required)
    Amount that has been billed Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `coB_Amt` (number, required)
    Total Coordination of Benefits amount that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `coB_Amt_Net` (number, required)
    In Network Coordination of Benefits amount that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `coB_Amt_OON` (number, required)
    Coordination of Benefits amount that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `coins_Amt` (number, required)
    Total amount of Coinsurance that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `coins_Amt_Net` (number, required)
    In Network amount of Coinsurance that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `coins_Amt_OON` (number, required)
    Amount of Coinsurance that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `copay_Amt` (number, required)
    Total amount of Copay that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `copay_Amt_Net` (number, required)
    In Network amount of Copay that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `copay_Amt_OON` (number, required)
    Amount of Copay that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `currency_ID` (string)
    Indicates the currency used for this Accumulator.

  - `ded_PPO_Used` (number, required)
    In Network amount of deductible that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `deductible_Used` (number, required)
    Total amount of deductible that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `deductible_Used_OON` (number, required)
    Amount of deductible that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `not_Covered_Amt` (number, required)
    Total amount that is not covered.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `not_Covered_Amt_Net` (number, required)
    In Network amount that is not covered.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `not_Covered_Amt_OON` (number, required)
    Out of Network amount that is not covered.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `out_Of_Pocket` (number, required)
    Total Out of Pocket amount that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `out_Of_Pocket_Net` (number, required)
    Amount of Out of Pocket that has been used In Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `out_Of_Pocket_OON` (number, required)
    Amount of Out of Pocket that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.subscriber_ID` (string, required)
    References Members.Subscriber_ID value on the parent record.

  - `data.member_Seq` (string, required)
    References Members.Member_Seq value on the parent record.

  - `data.group_ID` (string, required)
    Identifier assigned to the Group associated with this Member.

  - `data.division_ID` (string, required)
    Division associated with this Prior Accumulator.

  - `data.plan_Year` (string, required)
    Plan Year tied to this Prior Accumulator.

  - `data.plan_Type` (string, required)
    Plan Type tied to this Prior Accumulator.

  - `data.benefit_Code` (string, required)
    Benefit Code associated with this Member Prior Accumulator.

  - `data.added_Accum` (string)
    Selecting this option indicates that this Accumulator is an Added Accumulator.

  - `data.allowed_Amt` (number, required)
    Total Allowed amount.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.allowed_Amt_Net` (number, required)
    Allowed amount that has been used In Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.allowed_Amt_OON` (number, required)
    Allowed amount that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.auto_Generated` (boolean, required)
    Identifies that the prior accumulator was automatically generated.  Note: The database will apply a default value of `False` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `False` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.benefit_Used` (number, required)
    Total amount of benefit that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.benefit_Used_Net` (number, required)
    In network amount of benefit that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.benefit_Used_OON` (number, required)
    Amount of benefit that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.billed_Amt` (number, required)
    Amount that has been billed.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.billed_Amt_Net` (number, required)
    Amount that has been billed In Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.billed_Amt_OON` (number, required)
    Amount that has been billed Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.coB_Amt` (number, required)
    Total Coordination of Benefits amount that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.coB_Amt_Net` (number, required)
    In Network Coordination of Benefits amount that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.coB_Amt_OON` (number, required)
    Coordination of Benefits amount that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.coins_Amt` (number, required)
    Total amount of Coinsurance that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.coins_Amt_Net` (number, required)
    In Network amount of Coinsurance that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.coins_Amt_OON` (number, required)
    Amount of Coinsurance that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.copay_Amt` (number, required)
    Total amount of Copay that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.copay_Amt_Net` (number, required)
    In Network amount of Copay that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.copay_Amt_OON` (number, required)
    Amount of Copay that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.currency_ID` (string)
    Indicates the currency used for this Accumulator.

  - `data.ded_PPO_Used` (number, required)
    In Network amount of deductible that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.deductible_Used` (number, required)
    Total amount of deductible that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.deductible_Used_OON` (number, required)
    Amount of deductible that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.not_Covered_Amt` (number, required)
    Total amount that is not covered.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.not_Covered_Amt_Net` (number, required)
    In Network amount that is not covered.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.not_Covered_Amt_OON` (number, required)
    Out of Network amount that is not covered.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.out_Of_Pocket` (number, required)
    Total Out of Pocket amount that has been used.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.out_Of_Pocket_Net` (number, required)
    Amount of Out of Pocket that has been used In Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.out_Of_Pocket_OON` (number, required)
    Amount of Out of Pocket that has been used Out of Network.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

